<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/src/lcd.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_3abedc03644d33bc69016fb8a5546004.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">lcd.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../da/def/lcd_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**************************************************************************/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="preprocessor">#include &lt;stdio.h&gt;</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#include &lt;string.h&gt;</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="preprocessor">#include &lt;stdlib.h&gt;</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="comment">//#include &lt;stdbool.h&gt;</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="preprocessor">#include &quot;<a class="code" href="../../da/d91/_nano1_x2_series_8h.html">Nano1X2Series.h</a>&quot;</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span><span class="preprocessor">#include &quot;<a class="code" href="../../d2/ded/lcd_8h.html">lcd.h</a>&quot;</span></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span> </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span><span class="comment">/* Global file scope (static) variables                                                                    */</span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span> </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span><span class="keywordtype">double</span> g_LCDFreq;</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span><span class="keyword">static</span> uint32_t g_LCDFrameRate; <span class="comment">/* src:32768Hz, COM:4, FREQ Div:64, frame-rate 64Hz  */</span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span><span class="comment">/* src:10240Hz, COM:4, FREQ Div:32, frame-rate 40Hz  */</span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span> </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span> <span class="comment">/* end of group NANO1X2_LCD_EXPORTED_VARIABLES */</span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span> </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span> </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno"><a class="line" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga38931e2f60a5bca8527b78604644e67a">   62</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga38931e2f60a5bca8527b78604644e67a">LCD_SetPixel</a>(uint32_t u32Com, uint32_t u32Seg, uint32_t u32OnFlag)</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>{</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    int32_t memnum = u32Seg / 4;</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    int32_t seg_shift = 8*(u32Seg-(4*memnum));</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span> </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    <span class="keywordflow">if</span>(u32OnFlag)</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    {</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        <span class="keywordflow">if</span>(memnum==0)</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        {</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>            <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_0 |= (1&lt;&lt;u32Com)&lt;&lt;seg_shift;</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        }</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span>(memnum==1)</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        {</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>            <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_1 |= (1&lt;&lt;u32Com)&lt;&lt;seg_shift;</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        }</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span>(memnum==2)</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        {</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>            <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_2 |= (1&lt;&lt;u32Com)&lt;&lt;seg_shift;</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        }</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span>(memnum==3)</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        {</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>            <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_3 |= (1&lt;&lt;u32Com)&lt;&lt;seg_shift;</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        }</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span>(memnum==4)</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        {</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>            <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_4 |= (1&lt;&lt;u32Com)&lt;&lt;seg_shift;</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        }</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span>(memnum==5)</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        {</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>            <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_5 |= (1&lt;&lt;u32Com)&lt;&lt;seg_shift;</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        }</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span>(memnum==6)</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        {</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>            <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_6 |= (1&lt;&lt;u32Com)&lt;&lt;seg_shift;</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        }</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span>(memnum==7)</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        {</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>            <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_7 |= (1&lt;&lt;u32Com)&lt;&lt;seg_shift;</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>        }</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span>(memnum==8)</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>        {</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>            <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_8 |= (1&lt;&lt;u32Com)&lt;&lt;seg_shift;</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        }</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>    }</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>    {</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        <span class="keywordflow">if</span>(memnum==0)</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        {</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>            <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_0 &amp;= ~((1&lt;&lt;u32Com)&lt;&lt;seg_shift);</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>        }</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span>(memnum==1)</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>        {</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>            <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_1 &amp;= ~((1&lt;&lt;u32Com)&lt;&lt;seg_shift);</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>        }</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span>(memnum==2)</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>        {</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>            <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_2 &amp;= ~((1&lt;&lt;u32Com)&lt;&lt;seg_shift);</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>        }</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span>(memnum==3)</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>        {</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>            <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_3 &amp;= ~((1&lt;&lt;u32Com)&lt;&lt;seg_shift);</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>        }</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span>(memnum==4)</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        {</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>            <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_4 &amp;= ~((1&lt;&lt;u32Com)&lt;&lt;seg_shift);</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>        }</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span>(memnum==5)</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>        {</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>            <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_5 &amp;= ~((1&lt;&lt;u32Com)&lt;&lt;seg_shift);</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>        }</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span>(memnum==6)</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>        {</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>            <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_6 &amp;= ~((1&lt;&lt;u32Com)&lt;&lt;seg_shift);</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>        }</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span>(memnum==7)</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>        {</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>            <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_7 &amp;= ~((1&lt;&lt;u32Com)&lt;&lt;seg_shift);</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>        }</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span>(memnum==8)</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>        {</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>            <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_8 &amp;= ~((1&lt;&lt;u32Com)&lt;&lt;seg_shift);</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>        }</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>    }</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span> </div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>    <span class="keywordflow">if</span>(<a class="code hl_variable" href="../../d9/dd8/system___nano1_x2_series_8h.html#a63bedf89ae7fbb102b8653aca20d3a14">CyclesPerUs</a> &gt; 0)</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>        SysTick-&gt;LOAD = 300 * <a class="code hl_variable" href="../../d9/dd8/system___nano1_x2_series_8h.html#a63bedf89ae7fbb102b8653aca20d3a14">CyclesPerUs</a>;</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>        SysTick-&gt;LOAD = 15;</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>    SysTick-&gt;VAL  =  (0x00);</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>    SysTick-&gt;CTRL = SysTick_CTRL_CLKSOURCE_Msk | SysTick_CTRL_ENABLE_Msk;</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span> </div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>    <span class="comment">/* Waiting for down-count to zero */</span></div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>    <span class="keywordflow">while</span>((SysTick-&gt;CTRL &amp; SysTick_CTRL_COUNTFLAG_Msk) == 0);</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>}</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span> </div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno"><a class="line" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4cf38e762042748bb3948fea1031da19">  166</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4cf38e762042748bb3948fea1031da19">LCD_SetAllPixels</a>(uint32_t u32OnOff)</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>{</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>    uint32_t u32SetValue;</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span> </div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>    <span class="keywordflow">if</span>(u32OnOff)</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>    {</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>        u32SetValue = 0xFFFFFFFF;</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>    }</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>    {</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>        u32SetValue = 0x00000000;</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>    }</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span> </div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_0 = u32SetValue;</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_1 = u32SetValue;</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_2 = u32SetValue;</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_3 = u32SetValue;</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_4 = u32SetValue;</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_5 = u32SetValue;</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_6 = u32SetValue;</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_7 = u32SetValue;</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_8 = u32SetValue;</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span> </div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>    <span class="keywordflow">if</span>(<a class="code hl_variable" href="../../d9/dd8/system___nano1_x2_series_8h.html#a63bedf89ae7fbb102b8653aca20d3a14">CyclesPerUs</a> &gt; 0)</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>        SysTick-&gt;LOAD = 300 * <a class="code hl_variable" href="../../d9/dd8/system___nano1_x2_series_8h.html#a63bedf89ae7fbb102b8653aca20d3a14">CyclesPerUs</a>;</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>        SysTick-&gt;LOAD = 15;</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>    SysTick-&gt;VAL  =  (0x00);</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>    SysTick-&gt;CTRL = SysTick_CTRL_CLKSOURCE_Msk | SysTick_CTRL_ENABLE_Msk;</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span> </div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>    <span class="comment">/* Waiting for down-count to zero */</span></div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>    <span class="keywordflow">while</span>((SysTick-&gt;CTRL &amp; SysTick_CTRL_COUNTFLAG_Msk) == 0);</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>}</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span> </div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span> </div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno"><a class="line" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaecd530f9642d69ebd329530c33b1c002">  210</a></span>uint32_t <a class="code hl_function" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaecd530f9642d69ebd329530c33b1c002">LCD_EnableFrameCounter</a>(uint32_t u32Count)</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>{</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>    uint32_t div = 1;   <span class="comment">// default prediv == LCD_FCPRESC_DIV1</span></div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span> </div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCR = 0x00;</div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCSTS |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a3a76998841371d1d95455dad50a4606d">LCD_FCSTS_FCSTS_Msk</a>;  <span class="comment">// clear fcsts flag</span></div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span> </div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span>    <span class="keywordflow">if</span>(u32Count == 0) <span class="keywordflow">return</span> 0;</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span> </div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span>    <span class="keywordflow">if</span>(u32Count &gt; 0x3F)   <span class="comment">// top value max. 63 = 0x3F</span></div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span>    {</div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span>        div = u32Count/64;</div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span> </div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span>        <span class="keywordflow">if</span>(div &gt; 3)</div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span>        {</div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span>            div = 8;</div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span>            <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCR = (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCR &amp; ~LCD_FCR_PRESCL_Msk) | <a class="code hl_define" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga95786b8fb90f9dc8620ce9dad82696d5">LCD_FCPRESC_DIV8</a>;</div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span>        }</div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span>(div &gt; 1)</div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span>        {</div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span>            div = 4;</div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span>            <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCR = (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCR &amp; ~LCD_FCR_PRESCL_Msk) | <a class="code hl_define" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae16ed6ea2a8493a6af3326cd6378d9ba">LCD_FCPRESC_DIV4</a>;</div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span>        }</div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span>        {</div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno">  235</span>            div = 2;</div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span>            <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCR = (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCR &amp; ~LCD_FCR_PRESCL_Msk) | <a class="code hl_define" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga450b33c61bd083333f856a63b4c4a403">LCD_FCPRESC_DIV2</a>;</div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span>        }</div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span> </div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span>        u32Count = (u32Count+(div/2))/div;</div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span>    }</div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span>    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span>    {</div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span>        div = 1;</div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span>        <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCR = (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCR &amp; ~LCD_FCR_PRESCL_Msk) | <a class="code hl_define" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf413939d0a576f18224d7beb89ae6880">LCD_FCPRESC_DIV1</a>;</div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span>    }</div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno">  246</span> </div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCR = (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCR &amp; ~LCD_FCR_FCV_Msk) | (u32Count &lt;&lt; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a03db6fa728c7c06fc0f8f6cb49184598">LCD_FCR_FCV_Pos</a>);</div>
<div class="line"><a id="l00248" name="l00248"></a><span class="lineno">  248</span> </div>
<div class="line"><a id="l00249" name="l00249"></a><span class="lineno">  249</span>    u32Count = u32Count*div;</div>
<div class="line"><a id="l00250" name="l00250"></a><span class="lineno">  250</span> </div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno">  251</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCR |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#ab48964832552b160932f9c07e4ca2812">LCD_FCR_FCEN_Msk</a>;       <span class="comment">// enable LCD frame count</span></div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno">  252</span> </div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno">  253</span>    <span class="keywordflow">return</span> u32Count;</div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span>}</div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span> </div>
<div class="line"><a id="l00264" name="l00264"></a><span class="lineno"><a class="line" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac9d571af631f230b2d093b70426bbd7c">  264</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac9d571af631f230b2d093b70426bbd7c">LCD_DisableFrameCounter</a>(<span class="keywordtype">void</span>)</div>
<div class="line"><a id="l00265" name="l00265"></a><span class="lineno">  265</span>{</div>
<div class="line"><a id="l00266" name="l00266"></a><span class="lineno">  266</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCR = 0x00;        <span class="comment">// disable LCD frame count</span></div>
<div class="line"><a id="l00267" name="l00267"></a><span class="lineno">  267</span> </div>
<div class="line"><a id="l00268" name="l00268"></a><span class="lineno">  268</span>    <span class="keywordflow">if</span>( <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCSTS &amp; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a3a76998841371d1d95455dad50a4606d">LCD_FCSTS_FCSTS_Msk</a>)   <span class="comment">// clear status flag</span></div>
<div class="line"><a id="l00269" name="l00269"></a><span class="lineno">  269</span>        <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCSTS = <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a3a76998841371d1d95455dad50a4606d">LCD_FCSTS_FCSTS_Msk</a>;</div>
<div class="line"><a id="l00270" name="l00270"></a><span class="lineno">  270</span>}</div>
<div class="line"><a id="l00271" name="l00271"></a><span class="lineno">  271</span> </div>
<div class="line"><a id="l00272" name="l00272"></a><span class="lineno">  272</span> </div>
<div class="line"><a id="l00287" name="l00287"></a><span class="lineno"><a class="line" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga63cc493ec700a988c2382c3b09a09157">  287</a></span>uint32_t <a class="code hl_function" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga63cc493ec700a988c2382c3b09a09157">LCD_Open</a>(uint32_t u32DrivingType, uint32_t u32ComNum, uint32_t u32BiasLevel, uint32_t u32FramerateDiv, uint32_t u32DrivingVol)</div>
<div class="line"><a id="l00288" name="l00288"></a><span class="lineno">  288</span>{</div>
<div class="line"><a id="l00289" name="l00289"></a><span class="lineno">  289</span>    uint32_t clkdiv, muldiv;</div>
<div class="line"><a id="l00290" name="l00290"></a><span class="lineno">  290</span>    uint32_t lcd_freq_div[] = {32, 64, 96, 128, 192, 256, 384, 512};</div>
<div class="line"><a id="l00291" name="l00291"></a><span class="lineno">  291</span>    uint32_t multiplex_freq_div[] = {2, 4, 6, 8, 10, 12};</div>
<div class="line"><a id="l00292" name="l00292"></a><span class="lineno">  292</span>    uint32_t u32clk_src;</div>
<div class="line"><a id="l00293" name="l00293"></a><span class="lineno">  293</span> </div>
<div class="line"><a id="l00294" name="l00294"></a><span class="lineno">  294</span>    <span class="comment">/* IP reset */</span></div>
<div class="line"><a id="l00295" name="l00295"></a><span class="lineno">  295</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;IPRST_CTL2 |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#ae874ddfb227d2fd66a6db727f693db56">SYS_IPRST_CTL2_LCD_RST_Msk</a>;</div>
<div class="line"><a id="l00296" name="l00296"></a><span class="lineno">  296</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;IPRST_CTL2 &amp;= ~SYS_IPRST_CTL2_LCD_RST_Msk;</div>
<div class="line"><a id="l00297" name="l00297"></a><span class="lineno">  297</span> </div>
<div class="line"><a id="l00298" name="l00298"></a><span class="lineno">  298</span>    <a class="code hl_function" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc02b6e8ef1f3ab301853f4f8155e030">LCD_DisableDisplay</a>();</div>
<div class="line"><a id="l00299" name="l00299"></a><span class="lineno">  299</span> </div>
<div class="line"><a id="l00300" name="l00300"></a><span class="lineno">  300</span>    <span class="comment">/* Turn all segments off */</span></div>
<div class="line"><a id="l00301" name="l00301"></a><span class="lineno">  301</span>    <a class="code hl_function" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4cf38e762042748bb3948fea1031da19">LCD_SetAllPixels</a>(0);</div>
<div class="line"><a id="l00302" name="l00302"></a><span class="lineno">  302</span> </div>
<div class="line"><a id="l00303" name="l00303"></a><span class="lineno">  303</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;DISPCTL &amp;= ~LCD_DISPCTL_Ext_C_Msk;</div>
<div class="line"><a id="l00304" name="l00304"></a><span class="lineno">  304</span> </div>
<div class="line"><a id="l00305" name="l00305"></a><span class="lineno">  305</span>    <span class="keywordflow">switch</span>(u32DrivingType)</div>
<div class="line"><a id="l00306" name="l00306"></a><span class="lineno">  306</span>    {</div>
<div class="line"><a id="l00307" name="l00307"></a><span class="lineno">  307</span>    <span class="keywordflow">case</span> <a class="code hl_enumvalue" href="../../d6/d36/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s.html#gga4aade76e2254b1c2858759860b9c8fdca722f6b687c5d15031a0b3f1291f9cf04">LCD_C_TYPE</a>:</div>
<div class="line"><a id="l00308" name="l00308"></a><span class="lineno">  308</span>    <span class="keywordflow">case</span> <a class="code hl_enumvalue" href="../../d6/d36/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s.html#gga4aade76e2254b1c2858759860b9c8fdca1ae579017fce26afb60099d81a4d2abd">LCD_EXTERNAL_C_TYPE</a>:</div>
<div class="line"><a id="l00309" name="l00309"></a><span class="lineno">  309</span> </div>
<div class="line"><a id="l00310" name="l00310"></a><span class="lineno">  310</span>        <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;DISPCTL &amp;= ~LCD_DISPCTL_BV_SEL_Msk;        <span class="comment">// internal source for charge pump</span></div>
<div class="line"><a id="l00311" name="l00311"></a><span class="lineno">  311</span>        <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;DISPCTL = (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;DISPCTL &amp; ~LCD_DISPCTL_CPUMP_FREQ_Msk) | (<a class="code hl_define" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga638c0385890bf8b54cc591a9fbf1feac">LCD_CPUMP_DIV1</a>);</div>
<div class="line"><a id="l00312" name="l00312"></a><span class="lineno">  312</span>        <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;DISPCTL = (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;DISPCTL &amp; ~LCD_DISPCTL_CPUMP_VOL_SET_Msk) | (u32DrivingVol);</div>
<div class="line"><a id="l00313" name="l00313"></a><span class="lineno">  313</span>        <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;DISPCTL &amp;= ~LCD_DISPCTL_IBRL_EN_Msk;</div>
<div class="line"><a id="l00314" name="l00314"></a><span class="lineno">  314</span>        <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;DISPCTL |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a236ef1e8c526c18dfcce28213e4b09aa">LCD_DISPCTL_CPUMP_EN_Msk</a>;       <span class="comment">// enable charge pump</span></div>
<div class="line"><a id="l00315" name="l00315"></a><span class="lineno">  315</span> </div>
<div class="line"><a id="l00316" name="l00316"></a><span class="lineno">  316</span>        <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00317" name="l00317"></a><span class="lineno">  317</span> </div>
<div class="line"><a id="l00318" name="l00318"></a><span class="lineno">  318</span>    <span class="keywordflow">case</span> <a class="code hl_enumvalue" href="../../d6/d36/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s.html#gga4aade76e2254b1c2858759860b9c8fdcad2fdb0d69edeb2b2691226f09e3b3633">LCD_EXTERNAL_R_TYPE</a>:</div>
<div class="line"><a id="l00319" name="l00319"></a><span class="lineno">  319</span>    <span class="keywordflow">case</span> <a class="code hl_enumvalue" href="../../d6/d36/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s.html#gga4aade76e2254b1c2858759860b9c8fdca4d80acf10b407e4e00a5e9c0237277f9">LCD_INTERNAL_R_TYPE</a>:</div>
<div class="line"><a id="l00320" name="l00320"></a><span class="lineno">  320</span> </div>
<div class="line"><a id="l00321" name="l00321"></a><span class="lineno">  321</span>        <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;DISPCTL &amp;= ~LCD_DISPCTL_CPUMP_EN_Msk;</div>
<div class="line"><a id="l00322" name="l00322"></a><span class="lineno">  322</span>        <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;DISPCTL |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#ae9c70622ec99f28b3fc22ea007b505be">LCD_DISPCTL_BV_SEL_Msk</a>;</div>
<div class="line"><a id="l00323" name="l00323"></a><span class="lineno">  323</span>        <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;DISPCTL &amp;= ~LCD_DISPCTL_IBRL_EN_Msk;</div>
<div class="line"><a id="l00324" name="l00324"></a><span class="lineno">  324</span>        <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;DISPCTL |= (u32DrivingType == <a class="code hl_enumvalue" href="../../d6/d36/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s.html#gga4aade76e2254b1c2858759860b9c8fdca4d80acf10b407e4e00a5e9c0237277f9">LCD_INTERNAL_R_TYPE</a>)?<a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a1d887e95236695400de25967e7bf778b">LCD_DISPCTL_IBRL_EN_Msk</a>:0;</div>
<div class="line"><a id="l00325" name="l00325"></a><span class="lineno">  325</span>        <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00326" name="l00326"></a><span class="lineno">  326</span> </div>
<div class="line"><a id="l00327" name="l00327"></a><span class="lineno">  327</span>    };</div>
<div class="line"><a id="l00328" name="l00328"></a><span class="lineno">  328</span> </div>
<div class="line"><a id="l00329" name="l00329"></a><span class="lineno">  329</span>    <span class="keywordflow">if</span>(u32DrivingType == <a class="code hl_enumvalue" href="../../d6/d36/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s.html#gga4aade76e2254b1c2858759860b9c8fdca1ae579017fce26afb60099d81a4d2abd">LCD_EXTERNAL_C_TYPE</a>)</div>
<div class="line"><a id="l00330" name="l00330"></a><span class="lineno">  330</span>        <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;DISPCTL |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a4899a173aa80db74a866ffff35ad4d0a">LCD_DISPCTL_Ext_C_Msk</a>;</div>
<div class="line"><a id="l00331" name="l00331"></a><span class="lineno">  331</span> </div>
<div class="line"><a id="l00332" name="l00332"></a><span class="lineno">  332</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;CTL &amp;= ~LCD_CTL_FREQ_Msk;</div>
<div class="line"><a id="l00333" name="l00333"></a><span class="lineno">  333</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;CTL |= u32FramerateDiv;</div>
<div class="line"><a id="l00334" name="l00334"></a><span class="lineno">  334</span> </div>
<div class="line"><a id="l00335" name="l00335"></a><span class="lineno">  335</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;CTL = (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;CTL &amp; ~LCD_CTL_MUX_Msk) | ((u32ComNum - 1) &lt;&lt; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#ab8d95e55086e11537f8370bed58449c2">LCD_CTL_MUX_Pos</a>);</div>
<div class="line"><a id="l00336" name="l00336"></a><span class="lineno">  336</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;DISPCTL = (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;DISPCTL &amp; ~LCD_DISPCTL_BIAS_SEL_Msk) | u32BiasLevel;</div>
<div class="line"><a id="l00337" name="l00337"></a><span class="lineno">  337</span> </div>
<div class="line"><a id="l00338" name="l00338"></a><span class="lineno">  338</span>    <span class="keywordflow">if</span>((<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a>-&gt;CLKSEL1 &amp; <a class="code hl_define" href="../../da/d80/group___n_a_n_o1_x2___definitions.html#ga950fa29e708bc9aef4053fc8ff525259">CLK_CLKSEL1_LCD_S_Msk</a>) == 0)</div>
<div class="line"><a id="l00339" name="l00339"></a><span class="lineno">  339</span>        u32clk_src = 32 * 1024;</div>
<div class="line"><a id="l00340" name="l00340"></a><span class="lineno">  340</span>    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00341" name="l00341"></a><span class="lineno">  341</span>        u32clk_src = 10 * 1024;</div>
<div class="line"><a id="l00342" name="l00342"></a><span class="lineno">  342</span> </div>
<div class="line"><a id="l00343" name="l00343"></a><span class="lineno">  343</span>    clkdiv = (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;CTL &amp; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#ad0112de0108914efd36d4fc4a7dc3ee0">LCD_CTL_FREQ_Msk</a>) &gt;&gt; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a0bd408fea8c053199cf0adb0a70c6cd8">LCD_CTL_FREQ_Pos</a>;</div>
<div class="line"><a id="l00344" name="l00344"></a><span class="lineno">  344</span>    muldiv = (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;CTL &amp; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a5618a2906a10c4fd0f85153edcc3725b">LCD_CTL_MUX_Msk</a>) &gt;&gt; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#ab8d95e55086e11537f8370bed58449c2">LCD_CTL_MUX_Pos</a>;</div>
<div class="line"><a id="l00345" name="l00345"></a><span class="lineno">  345</span> </div>
<div class="line"><a id="l00346" name="l00346"></a><span class="lineno">  346</span>    g_LCDFreq = (double)u32clk_src / lcd_freq_div[clkdiv];</div>
<div class="line"><a id="l00347" name="l00347"></a><span class="lineno">  347</span>    g_LCDFrameRate = (uint32_t)g_LCDFreq / multiplex_freq_div[muldiv];</div>
<div class="line"><a id="l00348" name="l00348"></a><span class="lineno">  348</span> </div>
<div class="line"><a id="l00349" name="l00349"></a><span class="lineno">  349</span>    <span class="keywordflow">return</span> g_LCDFrameRate;</div>
<div class="line"><a id="l00350" name="l00350"></a><span class="lineno">  350</span>}</div>
<div class="line"><a id="l00351" name="l00351"></a><span class="lineno">  351</span> </div>
<div class="line"><a id="l00352" name="l00352"></a><span class="lineno">  352</span> </div>
<div class="line"><a id="l00353" name="l00353"></a><span class="lineno">  353</span> </div>
<div class="line"><a id="l00362" name="l00362"></a><span class="lineno"><a class="line" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab2b1b24fe536b594eff3fbc4acfd7dc8">  362</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab2b1b24fe536b594eff3fbc4acfd7dc8">LCD_Close</a>(<span class="keywordtype">void</span>)</div>
<div class="line"><a id="l00363" name="l00363"></a><span class="lineno">  363</span>{</div>
<div class="line"><a id="l00364" name="l00364"></a><span class="lineno">  364</span>    <a class="code hl_function" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc02b6e8ef1f3ab301853f4f8155e030">LCD_DisableDisplay</a>();</div>
<div class="line"><a id="l00365" name="l00365"></a><span class="lineno">  365</span>}</div>
<div class="line"><a id="l00366" name="l00366"></a><span class="lineno">  366</span> </div>
<div class="line"><a id="l00367" name="l00367"></a><span class="lineno">  367</span> </div>
<div class="line"><a id="l00376" name="l00376"></a><span class="lineno"><a class="line" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaac399c45e3931c6dcbaa95c79a766a6a">  376</a></span>uint32_t <a class="code hl_function" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaac399c45e3931c6dcbaa95c79a766a6a">LCD_EnableBlink</a>(uint32_t u32ms)</div>
<div class="line"><a id="l00377" name="l00377"></a><span class="lineno">  377</span>{</div>
<div class="line"><a id="l00378" name="l00378"></a><span class="lineno">  378</span>    uint32_t prescale=<a class="code hl_define" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf413939d0a576f18224d7beb89ae6880">LCD_FCPRESC_DIV1</a>, div=1;</div>
<div class="line"><a id="l00379" name="l00379"></a><span class="lineno">  379</span>    uint32_t framecount;</div>
<div class="line"><a id="l00380" name="l00380"></a><span class="lineno">  380</span> </div>
<div class="line"><a id="l00381" name="l00381"></a><span class="lineno">  381</span>    <span class="keywordflow">if</span>((1000/u32ms) &gt; g_LCDFrameRate) u32ms = (1000/g_LCDFrameRate);</div>
<div class="line"><a id="l00382" name="l00382"></a><span class="lineno">  382</span> </div>
<div class="line"><a id="l00383" name="l00383"></a><span class="lineno">  383</span>    framecount = (uint32_t) (u32ms / (1000/g_LCDFrameRate)) ;</div>
<div class="line"><a id="l00384" name="l00384"></a><span class="lineno">  384</span> </div>
<div class="line"><a id="l00385" name="l00385"></a><span class="lineno">  385</span>    <span class="keywordflow">if</span>(framecount &gt; 0x3F)</div>
<div class="line"><a id="l00386" name="l00386"></a><span class="lineno">  386</span>    {</div>
<div class="line"><a id="l00387" name="l00387"></a><span class="lineno">  387</span>        <span class="keywordflow">for</span>(div=2; div&lt;=8; div*=2)</div>
<div class="line"><a id="l00388" name="l00388"></a><span class="lineno">  388</span>        {</div>
<div class="line"><a id="l00389" name="l00389"></a><span class="lineno">  389</span>            framecount = (uint32_t) (u32ms / (1000/(g_LCDFrameRate/div)) );</div>
<div class="line"><a id="l00390" name="l00390"></a><span class="lineno">  390</span> </div>
<div class="line"><a id="l00391" name="l00391"></a><span class="lineno">  391</span>            <span class="keywordflow">if</span>( framecount &lt;= 0x40 )</div>
<div class="line"><a id="l00392" name="l00392"></a><span class="lineno">  392</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00393" name="l00393"></a><span class="lineno">  393</span>        }</div>
<div class="line"><a id="l00394" name="l00394"></a><span class="lineno">  394</span>        <span class="keywordflow">if</span>(div==2) prescale = <a class="code hl_define" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga450b33c61bd083333f856a63b4c4a403">LCD_FCPRESC_DIV2</a>;</div>
<div class="line"><a id="l00395" name="l00395"></a><span class="lineno">  395</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span>(div==4) prescale = <a class="code hl_define" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae16ed6ea2a8493a6af3326cd6378d9ba">LCD_FCPRESC_DIV4</a>;</div>
<div class="line"><a id="l00396" name="l00396"></a><span class="lineno">  396</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span>(div==8) prescale = <a class="code hl_define" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga95786b8fb90f9dc8620ce9dad82696d5">LCD_FCPRESC_DIV8</a>;</div>
<div class="line"><a id="l00397" name="l00397"></a><span class="lineno">  397</span>        <span class="keywordflow">else</span> <span class="keywordflow">return</span> 0;</div>
<div class="line"><a id="l00398" name="l00398"></a><span class="lineno">  398</span>    }</div>
<div class="line"><a id="l00399" name="l00399"></a><span class="lineno">  399</span>    <span class="keywordflow">else</span> <span class="keywordflow">if</span>(framecount == 0)</div>
<div class="line"><a id="l00400" name="l00400"></a><span class="lineno">  400</span>    {</div>
<div class="line"><a id="l00401" name="l00401"></a><span class="lineno">  401</span>        framecount = 1;</div>
<div class="line"><a id="l00402" name="l00402"></a><span class="lineno">  402</span>    }</div>
<div class="line"><a id="l00403" name="l00403"></a><span class="lineno">  403</span> </div>
<div class="line"><a id="l00404" name="l00404"></a><span class="lineno">  404</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCR = (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCR &amp; ~LCD_FCR_PRESCL_Msk) | prescale;</div>
<div class="line"><a id="l00405" name="l00405"></a><span class="lineno">  405</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCR = (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCR &amp; ~LCD_FCR_FCV_Msk) | ((framecount - 1) &lt;&lt; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a03db6fa728c7c06fc0f8f6cb49184598">LCD_FCR_FCV_Pos</a>);</div>
<div class="line"><a id="l00406" name="l00406"></a><span class="lineno">  406</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCR |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#ab48964832552b160932f9c07e4ca2812">LCD_FCR_FCEN_Msk</a>;</div>
<div class="line"><a id="l00407" name="l00407"></a><span class="lineno">  407</span> </div>
<div class="line"><a id="l00408" name="l00408"></a><span class="lineno">  408</span>    <span class="comment">/* Enable Blink LCD */</span></div>
<div class="line"><a id="l00409" name="l00409"></a><span class="lineno">  409</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;CTL |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a91228448f1a7d9b4219248cdbf2e1b1d">LCD_CTL_BLINK_Msk</a>;</div>
<div class="line"><a id="l00410" name="l00410"></a><span class="lineno">  410</span> </div>
<div class="line"><a id="l00411" name="l00411"></a><span class="lineno">  411</span>    <span class="keywordflow">return</span> ( (framecount*1000)/(g_LCDFrameRate/div) );</div>
<div class="line"><a id="l00412" name="l00412"></a><span class="lineno">  412</span>}</div>
<div class="line"><a id="l00413" name="l00413"></a><span class="lineno">  413</span> </div>
<div class="line"><a id="l00414" name="l00414"></a><span class="lineno">  414</span> </div>
<div class="line"><a id="l00423" name="l00423"></a><span class="lineno"><a class="line" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae97874077bfb3a021c61690b21004f69">  423</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae97874077bfb3a021c61690b21004f69">LCD_DisableBlink</a>(<span class="keywordtype">void</span>)</div>
<div class="line"><a id="l00424" name="l00424"></a><span class="lineno">  424</span>{</div>
<div class="line"><a id="l00425" name="l00425"></a><span class="lineno">  425</span>    <span class="comment">/* Disable Blink LCD */</span></div>
<div class="line"><a id="l00426" name="l00426"></a><span class="lineno">  426</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;CTL &amp;= ~LCD_CTL_BLINK_Msk;</div>
<div class="line"><a id="l00427" name="l00427"></a><span class="lineno">  427</span> </div>
<div class="line"><a id="l00428" name="l00428"></a><span class="lineno">  428</span>    <span class="comment">/* Disable frame count */</span></div>
<div class="line"><a id="l00429" name="l00429"></a><span class="lineno">  429</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCR = 0x00;        <span class="comment">// disable LCD frame count</span></div>
<div class="line"><a id="l00430" name="l00430"></a><span class="lineno">  430</span> </div>
<div class="line"><a id="l00431" name="l00431"></a><span class="lineno">  431</span>    <span class="keywordflow">if</span>( <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCSTS &amp; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a3a76998841371d1d95455dad50a4606d">LCD_FCSTS_FCSTS_Msk</a>)   <span class="comment">// clear status flag</span></div>
<div class="line"><a id="l00432" name="l00432"></a><span class="lineno">  432</span>        <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCSTS = <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a3a76998841371d1d95455dad50a4606d">LCD_FCSTS_FCSTS_Msk</a>;</div>
<div class="line"><a id="l00433" name="l00433"></a><span class="lineno">  433</span> </div>
<div class="line"><a id="l00434" name="l00434"></a><span class="lineno">  434</span>}</div>
<div class="line"><a id="l00435" name="l00435"></a><span class="lineno">  435</span> </div>
<div class="line"><a id="l00444" name="l00444"></a><span class="lineno"><a class="line" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga92f309aa07814f033fa583e1e74e68bf">  444</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga92f309aa07814f033fa583e1e74e68bf">LCD_EnableInt</a>(uint32_t IntSrc)</div>
<div class="line"><a id="l00445" name="l00445"></a><span class="lineno">  445</span>{</div>
<div class="line"><a id="l00446" name="l00446"></a><span class="lineno">  446</span>    <span class="keywordflow">if</span>((IntSrc &amp; <a class="code hl_define" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafb1b7d1f3668cd0c515038ed44381f9f">LCD_FRAMECOUNT_INT</a>) == <a class="code hl_define" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafb1b7d1f3668cd0c515038ed44381f9f">LCD_FRAMECOUNT_INT</a> )</div>
<div class="line"><a id="l00447" name="l00447"></a><span class="lineno">  447</span>    {</div>
<div class="line"><a id="l00448" name="l00448"></a><span class="lineno">  448</span>        <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCR |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#ab48964832552b160932f9c07e4ca2812">LCD_FCR_FCEN_Msk</a>;</div>
<div class="line"><a id="l00449" name="l00449"></a><span class="lineno">  449</span>    }</div>
<div class="line"><a id="l00450" name="l00450"></a><span class="lineno">  450</span> </div>
<div class="line"><a id="l00451" name="l00451"></a><span class="lineno">  451</span>    <span class="keywordflow">if</span>((IntSrc &amp; <a class="code hl_define" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6ed13e03b1b855b88fd4348c60f2c08d">LCD_POWERDOWN_INT</a>) == <a class="code hl_define" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6ed13e03b1b855b88fd4348c60f2c08d">LCD_POWERDOWN_INT</a> )</div>
<div class="line"><a id="l00452" name="l00452"></a><span class="lineno">  452</span>    {</div>
<div class="line"><a id="l00453" name="l00453"></a><span class="lineno">  453</span>        <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;CTL |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a541daf27e9b6fca993e6f65e4f71b35c">LCD_CTL_PDINT_EN_Msk</a>;</div>
<div class="line"><a id="l00454" name="l00454"></a><span class="lineno">  454</span>    }</div>
<div class="line"><a id="l00455" name="l00455"></a><span class="lineno">  455</span> </div>
<div class="line"><a id="l00456" name="l00456"></a><span class="lineno">  456</span>}</div>
<div class="line"><a id="l00457" name="l00457"></a><span class="lineno">  457</span> </div>
<div class="line"><a id="l00466" name="l00466"></a><span class="lineno"><a class="line" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab38a1d741553128199a9c4b3c0015bcf">  466</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab38a1d741553128199a9c4b3c0015bcf">LCD_DisableInt</a>(uint32_t IntSrc)</div>
<div class="line"><a id="l00467" name="l00467"></a><span class="lineno">  467</span>{</div>
<div class="line"><a id="l00468" name="l00468"></a><span class="lineno">  468</span>    <span class="keywordflow">if</span>((IntSrc &amp; <a class="code hl_define" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafb1b7d1f3668cd0c515038ed44381f9f">LCD_FRAMECOUNT_INT</a>) == <a class="code hl_define" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafb1b7d1f3668cd0c515038ed44381f9f">LCD_FRAMECOUNT_INT</a> )</div>
<div class="line"><a id="l00469" name="l00469"></a><span class="lineno">  469</span>    {</div>
<div class="line"><a id="l00470" name="l00470"></a><span class="lineno">  470</span>        <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCR &amp;= ~LCD_FCR_FCEN_Msk;</div>
<div class="line"><a id="l00471" name="l00471"></a><span class="lineno">  471</span>        <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCSTS = <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a3a76998841371d1d95455dad50a4606d">LCD_FCSTS_FCSTS_Msk</a>;</div>
<div class="line"><a id="l00472" name="l00472"></a><span class="lineno">  472</span>    }</div>
<div class="line"><a id="l00473" name="l00473"></a><span class="lineno">  473</span> </div>
<div class="line"><a id="l00474" name="l00474"></a><span class="lineno">  474</span>    <span class="keywordflow">if</span>((IntSrc &amp; <a class="code hl_define" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6ed13e03b1b855b88fd4348c60f2c08d">LCD_POWERDOWN_INT</a>) == <a class="code hl_define" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6ed13e03b1b855b88fd4348c60f2c08d">LCD_POWERDOWN_INT</a> )</div>
<div class="line"><a id="l00475" name="l00475"></a><span class="lineno">  475</span>    {</div>
<div class="line"><a id="l00476" name="l00476"></a><span class="lineno">  476</span>        <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;CTL &amp;= ~LCD_CTL_PDINT_EN_Msk;</div>
<div class="line"><a id="l00477" name="l00477"></a><span class="lineno">  477</span>        <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCSTS = <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#ae47ad2508f964333516a4fa15d298245">LCD_FCSTS_PDSTS_Msk</a>;</div>
<div class="line"><a id="l00478" name="l00478"></a><span class="lineno">  478</span>    }</div>
<div class="line"><a id="l00479" name="l00479"></a><span class="lineno">  479</span>}</div>
<div class="line"><a id="l00480" name="l00480"></a><span class="lineno">  480</span> <span class="comment">/* end of group NANO1X2_LCD_EXPORTED_FUNCTIONS */</span></div>
<div class="line"><a id="l00482" name="l00482"></a><span class="lineno">  482</span> <span class="comment">/* end of group NANO1X2_LCD_Driver */</span></div>
<div class="line"><a id="l00484" name="l00484"></a><span class="lineno">  484</span> <span class="comment">/* end of group NANO1X2_Device_Driver */</span></div>
<div class="line"><a id="l00486" name="l00486"></a><span class="lineno">  486</span> </div>
<div class="line"><a id="l00487" name="l00487"></a><span class="lineno">  487</span><span class="comment">/*** (C) COPYRIGHT 2014 Nuvoton Technology Corp. ***/</span></div>
<div class="line"><a id="l00488" name="l00488"></a><span class="lineno">  488</span> </div>
<div class="ttc" id="a_nano1_x2_series_8h_html"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html">Nano1X2Series.h</a></div><div class="ttdoc">Nano102/112 peripheral access layer header file. This file contains all the peripheral register's def...</div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a03db6fa728c7c06fc0f8f6cb49184598"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a03db6fa728c7c06fc0f8f6cb49184598">LCD_FCR_FCV_Pos</a></div><div class="ttdeci">#define LCD_FCR_FCV_Pos</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l05715">Nano1X2Series.h:5715</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a0bd408fea8c053199cf0adb0a70c6cd8"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a0bd408fea8c053199cf0adb0a70c6cd8">LCD_CTL_FREQ_Pos</a></div><div class="ttdeci">#define LCD_CTL_FREQ_Pos</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l05562">Nano1X2Series.h:5562</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a1d887e95236695400de25967e7bf778b"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a1d887e95236695400de25967e7bf778b">LCD_DISPCTL_IBRL_EN_Msk</a></div><div class="ttdeci">#define LCD_DISPCTL_IBRL_EN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l05581">Nano1X2Series.h:5581</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a236ef1e8c526c18dfcce28213e4b09aa"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a236ef1e8c526c18dfcce28213e4b09aa">LCD_DISPCTL_CPUMP_EN_Msk</a></div><div class="ttdeci">#define LCD_DISPCTL_CPUMP_EN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l05575">Nano1X2Series.h:5575</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a3a76998841371d1d95455dad50a4606d"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a3a76998841371d1d95455dad50a4606d">LCD_FCSTS_FCSTS_Msk</a></div><div class="ttdeci">#define LCD_FCSTS_FCSTS_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l05719">Nano1X2Series.h:5719</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a4899a173aa80db74a866ffff35ad4d0a"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a4899a173aa80db74a866ffff35ad4d0a">LCD_DISPCTL_Ext_C_Msk</a></div><div class="ttdeci">#define LCD_DISPCTL_Ext_C_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l05593">Nano1X2Series.h:5593</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a541daf27e9b6fca993e6f65e4f71b35c"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a541daf27e9b6fca993e6f65e4f71b35c">LCD_CTL_PDINT_EN_Msk</a></div><div class="ttdeci">#define LCD_CTL_PDINT_EN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l05572">Nano1X2Series.h:5572</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a5618a2906a10c4fd0f85153edcc3725b"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a5618a2906a10c4fd0f85153edcc3725b">LCD_CTL_MUX_Msk</a></div><div class="ttdeci">#define LCD_CTL_MUX_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l05560">Nano1X2Series.h:5560</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a91228448f1a7d9b4219248cdbf2e1b1d"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a91228448f1a7d9b4219248cdbf2e1b1d">LCD_CTL_BLINK_Msk</a></div><div class="ttdeci">#define LCD_CTL_BLINK_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l05566">Nano1X2Series.h:5566</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_ab48964832552b160932f9c07e4ca2812"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#ab48964832552b160932f9c07e4ca2812">LCD_FCR_FCEN_Msk</a></div><div class="ttdeci">#define LCD_FCR_FCEN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l05707">Nano1X2Series.h:5707</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_ab8d95e55086e11537f8370bed58449c2"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#ab8d95e55086e11537f8370bed58449c2">LCD_CTL_MUX_Pos</a></div><div class="ttdeci">#define LCD_CTL_MUX_Pos</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l05559">Nano1X2Series.h:5559</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_ad0112de0108914efd36d4fc4a7dc3ee0"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#ad0112de0108914efd36d4fc4a7dc3ee0">LCD_CTL_FREQ_Msk</a></div><div class="ttdeci">#define LCD_CTL_FREQ_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l05563">Nano1X2Series.h:5563</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_ae47ad2508f964333516a4fa15d298245"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#ae47ad2508f964333516a4fa15d298245">LCD_FCSTS_PDSTS_Msk</a></div><div class="ttdeci">#define LCD_FCSTS_PDSTS_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l05722">Nano1X2Series.h:5722</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_ae874ddfb227d2fd66a6db727f693db56"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#ae874ddfb227d2fd66a6db727f693db56">SYS_IPRST_CTL2_LCD_RST_Msk</a></div><div class="ttdeci">#define SYS_IPRST_CTL2_LCD_RST_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l03690">Nano1X2Series.h:3690</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_ae9c70622ec99f28b3fc22ea007b505be"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#ae9c70622ec99f28b3fc22ea007b505be">LCD_DISPCTL_BV_SEL_Msk</a></div><div class="ttdeci">#define LCD_DISPCTL_BV_SEL_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l05584">Nano1X2Series.h:5584</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___definitions_html_ga950fa29e708bc9aef4053fc8ff525259"><div class="ttname"><a href="../../da/d80/group___n_a_n_o1_x2___definitions.html#ga950fa29e708bc9aef4053fc8ff525259">CLK_CLKSEL1_LCD_S_Msk</a></div><div class="ttdeci">#define CLK_CLKSEL1_LCD_S_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l01589">Nano1X2Series.h:1589</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga450b33c61bd083333f856a63b4c4a403"><div class="ttname"><a href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga450b33c61bd083333f856a63b4c4a403">LCD_FCPRESC_DIV2</a></div><div class="ttdeci">#define LCD_FCPRESC_DIV2</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/ded/lcd_8h_source.html#l00083">lcd.h:83</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga638c0385890bf8b54cc591a9fbf1feac"><div class="ttname"><a href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga638c0385890bf8b54cc591a9fbf1feac">LCD_CPUMP_DIV1</a></div><div class="ttdeci">#define LCD_CPUMP_DIV1</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/ded/lcd_8h_source.html#l00064">lcd.h:64</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga6ed13e03b1b855b88fd4348c60f2c08d"><div class="ttname"><a href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6ed13e03b1b855b88fd4348c60f2c08d">LCD_POWERDOWN_INT</a></div><div class="ttdeci">#define LCD_POWERDOWN_INT</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/ded/lcd_8h_source.html#l00088">lcd.h:88</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga95786b8fb90f9dc8620ce9dad82696d5"><div class="ttname"><a href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga95786b8fb90f9dc8620ce9dad82696d5">LCD_FCPRESC_DIV8</a></div><div class="ttdeci">#define LCD_FCPRESC_DIV8</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/ded/lcd_8h_source.html#l00085">lcd.h:85</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_gae16ed6ea2a8493a6af3326cd6378d9ba"><div class="ttname"><a href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae16ed6ea2a8493a6af3326cd6378d9ba">LCD_FCPRESC_DIV4</a></div><div class="ttdeci">#define LCD_FCPRESC_DIV4</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/ded/lcd_8h_source.html#l00084">lcd.h:84</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_gaf413939d0a576f18224d7beb89ae6880"><div class="ttname"><a href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf413939d0a576f18224d7beb89ae6880">LCD_FCPRESC_DIV1</a></div><div class="ttdeci">#define LCD_FCPRESC_DIV1</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/ded/lcd_8h_source.html#l00082">lcd.h:82</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_gafb1b7d1f3668cd0c515038ed44381f9f"><div class="ttname"><a href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafb1b7d1f3668cd0c515038ed44381f9f">LCD_FRAMECOUNT_INT</a></div><div class="ttdeci">#define LCD_FRAMECOUNT_INT</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/ded/lcd_8h_source.html#l00087">lcd.h:87</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga38931e2f60a5bca8527b78604644e67a"><div class="ttname"><a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga38931e2f60a5bca8527b78604644e67a">LCD_SetPixel</a></div><div class="ttdeci">void LCD_SetPixel(uint32_t u32Com, uint32_t u32Seg, uint32_t u32OnFlag)</div><div class="ttdoc">Enables a segment on the LCD display.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/def/lcd_8c_source.html#l00062">lcd.c:62</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga4cf38e762042748bb3948fea1031da19"><div class="ttname"><a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4cf38e762042748bb3948fea1031da19">LCD_SetAllPixels</a></div><div class="ttdeci">void LCD_SetAllPixels(uint32_t u32OnOff)</div><div class="ttdoc">LCD Enable/Disable all segments.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/def/lcd_8c_source.html#l00166">lcd.c:166</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga63cc493ec700a988c2382c3b09a09157"><div class="ttname"><a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga63cc493ec700a988c2382c3b09a09157">LCD_Open</a></div><div class="ttdeci">uint32_t LCD_Open(uint32_t u32DrivingType, uint32_t u32ComNum, uint32_t u32BiasLevel, uint32_t u32FramerateDiv, uint32_t u32DrivingVol)</div><div class="ttdoc">LCD Initialization routine.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/def/lcd_8c_source.html#l00287">lcd.c:287</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga92f309aa07814f033fa583e1e74e68bf"><div class="ttname"><a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga92f309aa07814f033fa583e1e74e68bf">LCD_EnableInt</a></div><div class="ttdeci">void LCD_EnableInt(uint32_t IntSrc)</div><div class="ttdoc">This function is used to enable LCD interrupt.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/def/lcd_8c_source.html#l00444">lcd.c:444</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaac399c45e3931c6dcbaa95c79a766a6a"><div class="ttname"><a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaac399c45e3931c6dcbaa95c79a766a6a">LCD_EnableBlink</a></div><div class="ttdeci">uint32_t LCD_EnableBlink(uint32_t u32ms)</div><div class="ttdoc">Enable Blink function in LCD controller.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/def/lcd_8c_source.html#l00376">lcd.c:376</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gab2b1b24fe536b594eff3fbc4acfd7dc8"><div class="ttname"><a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab2b1b24fe536b594eff3fbc4acfd7dc8">LCD_Close</a></div><div class="ttdeci">void LCD_Close(void)</div><div class="ttdoc">The function is used to disable LCD controller.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/def/lcd_8c_source.html#l00362">lcd.c:362</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gab38a1d741553128199a9c4b3c0015bcf"><div class="ttname"><a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab38a1d741553128199a9c4b3c0015bcf">LCD_DisableInt</a></div><div class="ttdeci">void LCD_DisableInt(uint32_t IntSrc)</div><div class="ttdoc">This function is used to disable LCD specified interrupt.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/def/lcd_8c_source.html#l00466">lcd.c:466</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gac9d571af631f230b2d093b70426bbd7c"><div class="ttname"><a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac9d571af631f230b2d093b70426bbd7c">LCD_DisableFrameCounter</a></div><div class="ttdeci">void LCD_DisableFrameCounter(void)</div><div class="ttdoc">Disable frame count function.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/def/lcd_8c_source.html#l00264">lcd.c:264</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gae97874077bfb3a021c61690b21004f69"><div class="ttname"><a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae97874077bfb3a021c61690b21004f69">LCD_DisableBlink</a></div><div class="ttdeci">void LCD_DisableBlink(void)</div><div class="ttdoc">Disable Blink function in LCD controller.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/def/lcd_8c_source.html#l00423">lcd.c:423</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaecd530f9642d69ebd329530c33b1c002"><div class="ttname"><a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaecd530f9642d69ebd329530c33b1c002">LCD_EnableFrameCounter</a></div><div class="ttdeci">uint32_t LCD_EnableFrameCounter(uint32_t u32Count)</div><div class="ttdoc">Set Frame Count and Enable frame count.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/def/lcd_8c_source.html#l00210">lcd.c:210</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gafc02b6e8ef1f3ab301853f4f8155e030"><div class="ttname"><a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc02b6e8ef1f3ab301853f4f8155e030">LCD_DisableDisplay</a></div><div class="ttdeci">static __INLINE void LCD_DisableDisplay(void)</div><div class="ttdoc">Disable LCD controller.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/ded/lcd_8h_source.html#l00198">lcd.h:198</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s_html_gga4aade76e2254b1c2858759860b9c8fdca1ae579017fce26afb60099d81a4d2abd"><div class="ttname"><a href="../../d6/d36/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s.html#gga4aade76e2254b1c2858759860b9c8fdca1ae579017fce26afb60099d81a4d2abd">LCD_EXTERNAL_C_TYPE</a></div><div class="ttdeci">@ LCD_EXTERNAL_C_TYPE</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/ded/lcd_8h_source.html#l00102">lcd.h:101</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s_html_gga4aade76e2254b1c2858759860b9c8fdca4d80acf10b407e4e00a5e9c0237277f9"><div class="ttname"><a href="../../d6/d36/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s.html#gga4aade76e2254b1c2858759860b9c8fdca4d80acf10b407e4e00a5e9c0237277f9">LCD_INTERNAL_R_TYPE</a></div><div class="ttdeci">@ LCD_INTERNAL_R_TYPE</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/ded/lcd_8h_source.html#l00100">lcd.h:100</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s_html_gga4aade76e2254b1c2858759860b9c8fdca722f6b687c5d15031a0b3f1291f9cf04"><div class="ttname"><a href="../../d6/d36/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s.html#gga4aade76e2254b1c2858759860b9c8fdca722f6b687c5d15031a0b3f1291f9cf04">LCD_C_TYPE</a></div><div class="ttdeci">@ LCD_C_TYPE</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/ded/lcd_8h_source.html#l00098">lcd.h:98</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s_html_gga4aade76e2254b1c2858759860b9c8fdcad2fdb0d69edeb2b2691226f09e3b3633"><div class="ttname"><a href="../../d6/d36/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s.html#gga4aade76e2254b1c2858759860b9c8fdcad2fdb0d69edeb2b2691226f09e3b3633">LCD_EXTERNAL_R_TYPE</a></div><div class="ttdeci">@ LCD_EXTERNAL_R_TYPE</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/ded/lcd_8h_source.html#l00099">lcd.h:99</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n_html_ga4b355291fe6b8ba8e167ab0faa862e45"><div class="ttname"><a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a></div><div class="ttdeci">#define CLK</div><div class="ttdoc">Pointer to CLK register structure.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10651">Nano1X2Series.h:10651</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n_html_gabf2d80992dcfabfd1668184c3dff2733"><div class="ttname"><a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a></div><div class="ttdeci">#define LCD</div><div class="ttdoc">Pointer to LCD register structure.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10644">Nano1X2Series.h:10644</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n_html_gae3d9f52a1a315303ad04f0576bd42a25"><div class="ttname"><a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a></div><div class="ttdeci">#define SYS</div><div class="ttdoc">Pointer to SYS register structure.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10650">Nano1X2Series.h:10650</a></div></div>
<div class="ttc" id="alcd_8h_html"><div class="ttname"><a href="../../d2/ded/lcd_8h.html">lcd.h</a></div><div class="ttdoc">Nano102/112 series LCD driver header file.</div></div>
<div class="ttc" id="asystem___nano1_x2_series_8h_html_a63bedf89ae7fbb102b8653aca20d3a14"><div class="ttname"><a href="../../d9/dd8/system___nano1_x2_series_8h.html#a63bedf89ae7fbb102b8653aca20d3a14">CyclesPerUs</a></div><div class="ttdeci">uint32_t CyclesPerUs</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d7e/system___nano1_x2_series_8c_source.html#l00021">system_Nano1X2Series.c:21</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:31 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
